<style>
    table {
          width: 100% !important;
      }
</style>
<div id="forms" class="page-layout carded fullwidth">

  <!-- TOP BACKGROUND -->
  <div class="top-bg accent"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

      <!-- HEADER -->
      <div class="header accent"
           fxLayout="column" fxLayoutAlign="center center"
           fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">

          <!-- APP TITLE -->
          <div class="logo mb-24 mb-md-0"
               fxLayout="row" fxLayoutAlign="start center">
              <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                  person
              </mat-icon>
              <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                  {{title}}
              </span>
          </div>
          <!-- / APP TITLE -->

      </div>
      <!-- / HEADER -->

      <!-- CONTENT CARD -->
           
        <form class="mat-card mat-elevation-z4 p-24 mr-24" fxLayout="column" fxLayoutAlign="start"
        fxFlex="1 0 auto" name="form" [formGroup]="form" (ngSubmit)="onSubmit()">

      <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

          <!-- <mat-form-field appearance="outline" fxFlex="100">
              <mat-label>Company (disabled)</mat-label>
              <input matInput formControlName="company">
              <mat-icon matSuffix class="disabled-text">domain</mat-icon>
          </mat-form-field> -->

      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

          <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
              <mat-label>First name</mat-label>
              <input matInput formControlName="firstName" required>
              <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
              <mat-error>First Name is required!</mat-error>
          </mat-form-field>

          <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
              <mat-label>Last name</mat-label>
              <input matInput formControlName="lastName" required>
              <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
              <mat-error>Last Name is required!</mat-error>
          </mat-form-field>

      </div>


      <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

        <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
            <mat-label>Email</mat-label>
            <input matInput formControlName="email" [email]="true" [attr.disabled]="true" readonly>
            <mat-icon matSuffix class="secondary-text">email</mat-icon>
            <mat-error *ngIf="errorHandling('email', 'required')" >Email is required!</mat-error>
            <mat-error *ngIf="errorHandling('email', 'pattern')" > Please provide a valid email address.</mat-error>
       
        </mat-form-field>

        <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
            <mat-label>Phone</mat-label>
            <input matInput formControlName="phone" required>
            <mat-icon matSuffix class="secondary-text">local_phone</mat-icon>
            <mat-error *ngIf="errorHandling('phone', 'required')" >Phone is required!</mat-error>
            <mat-error *ngIf="errorHandling('phone', 'pattern')" > Phone is not valid.</mat-error>
            <mat-error *ngIf="errorHandling('phone', 'minlength')" > Phone must be at least 10 number long.</mat-error>
            <mat-error *ngIf="errorHandling('phone', 'maxlength')" > Phone must be max 10 number long.</mat-error>
        </mat-form-field>

    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto" *ngIf="hidePw"  >

        <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
            <mat-label>Password</mat-label>
            <input  type="password" matInput formControlName="password" required>
            <mat-icon matSuffix class="secondary-text">security</mat-icon>
            <mat-error *ngIf="errorHandling('password', 'required')" >Password is required!</mat-error>
            <mat-error *ngIf="errorHandling('phone', 'minlength')" > Password must be at least 5 number long.</mat-error>
            <mat-error *ngIf="errorHandling('phone', 'maxlength')" > Password must be max 15 number long.</mat-error>
        </mat-form-field>


    </div>

      <div fxLayout="row wrap" fxLayoutAlign="start center" fxFlex="1 0 auto">

          <mat-form-field appearance="outline" fxFlex="100">
              <mat-label>Address</mat-label>
              <input matInput formControlName="address" required>
              <mat-error>Address is required!</mat-error>
          </mat-form-field>

          <mat-form-field appearance="outline" fxFlex="100">
              <mat-label>Address 2</mat-label>
              <input matInput formControlName="address2">
              <!-- <mat-error>Address 2 is required!</mat-error> -->
          </mat-form-field>

      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

          <mat-form-field appearance="outline" fxFlex="33">
              <mat-label>City</mat-label>
              <input matInput formControlName="city" required>
              <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
              <mat-error>City is required!</mat-error>
          </mat-form-field>

          <mat-form-field appearance="outline" fxFlex="34" class="px-8">
            <mat-label>State</mat-label>
            <mat-select formControlName="state" required>
                <mat-option [value]="state"  *ngFor="let state of stateData">
                    {{state}}
                </mat-option>
            </mat-select>
            <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
            <mat-error>State is required!</mat-error>
        </mat-form-field>


          <!-- <mat-form-field appearance="outline" fxFlex="34" class="px-8">

           
              <mat-label>State</mat-label>
              <input matInput formControlName="state" required>
              <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
              <mat-error>State is required!</mat-error>
          </mat-form-field> -->

          <mat-form-field appearance="outline" fxFlex="33">
              <mat-label>Postal Code</mat-label>
              <input matInput #postalCode value="94043"
                     formControlName="postalCode" maxlength="6" required>
              <mat-icon matSuffix class="secondary-text">markunread_mailbox</mat-icon>
              <mat-hint align="end">{{postalCode.value.length}} / 6</mat-hint>
              <mat-error *ngIf="errorHandling('postalCode', 'required')" >Postal Code is required!</mat-error>
            <mat-error *ngIf="errorHandling('postalCode', 'pattern')" > Postal Code is not valid.</mat-error>
          </mat-form-field>

      </div>

      <!-- <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

          <mat-form-field appearance="outline" fxFlex="100">
              <mat-label>Country</mat-label>
              <mat-select formControlName="country" required>
                  <mat-option [value]="country['ID']"  *ngFor="let country of countryData">
                      {{country['County']}}
                  </mat-option>

              </mat-select>
              <mat-icon matSuffix class="secondary-text">outlined_flag</mat-icon>
              <mat-error>Country is required!</mat-error>
          </mat-form-field>

      </div> -->

      <!-- <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

        <mat-form-field appearance="outline" fxFlex="100">
            <mat-label>Role</mat-label>
            <mat-select formControlName="role" required readonly [attr.disabled]="true">
                <mat-option [value]="role['id']" readonly [attr.disabled]="true"  *ngFor="let role of roleData">
                    {{role['role']}}
                </mat-option>

            </mat-select>
            <mat-icon matSuffix class="secondary-text">control_point</mat-icon>
            <mat-error>Role is required!</mat-error>
        </mat-form-field>

    </div> -->
    <mat-form-field appearance="outline" fxFlex="100" [hidden]="true" style="display: none;">
    <input matInput formControlName="id">
    </mat-form-field>
      <div fxLayout="row" fxLayoutAlign="center center">
        <button mat-raised-button type="submit" color="accent" [disabled]="!form.valid">
            Save
        </button> &nbsp;&nbsp;&nbsp;
        <button mat-raised-button  [routerLink]="'/apps/admin/manage-users'" color="red">
            Cancel
        </button>
    </div>

  </form>

   
  </div>
  <!-- / CENTER -->
</div>
